---
title: PushSubscription.unsubscribe()
slug: Web/API/PushSubscription/unsubscribe
tags:
  - API
  - Experimental
  - Method
  - Push
  - Push API
  - PushSubscription
  - Reference
  - Service Workers
  - unsubscribe
---
<p>{{SeeCompatTable}}{{APIRef("Push API")}}</p>

<p>The <code>unsubscribe()</code> method of the {{domxref("PushSubscription")}} interface returns a {{domxref("Promise")}} that resolves to a {{domxref("Boolean")}} when the current subscription is successfully unsubscribed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">PushSubscription.unsubscribe().then(function(Boolean) { ... });</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("Promise")}} that resolves to a {{domxref("Boolean")}} when the current subscription is successfully unsubscribed.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.serviceWorker.ready.then(function(reg) {
  reg.pushManager.getSubscription().then(function(subscription) {
    subscription.unsubscribe().then(function(successful) {
      // You've successfully unsubscribed
    }).catch(function(e) {
      // Unsubscription failed
    })
  })
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API','#dom-pushsubscription-unsubscribe','unsubscribe()')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PushSubscription.unsubscribe")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PushManager.getSubscription")}}</li>
</ul>
